<!DOCTYPE html>
<html lang="en">
<head>

    <title>
        <%= title %>
    </title>

    <!-- Font Awesome CDN Links -->

    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.1/css/all.css" 
    integrity="sha384-vp86vTRFVJgpjF9jiIGPEEqYqlDwgyBgEF109VFjmqGmIY/Y4HV4d3Gp2irVfcrp" crossorigin="anonymous">

    <link rel="stylesheet" href="/css/style.css">

</head>
<body>

    <div id="container">
    <h1 id="page-heading">
        <i class="fas fa-address-book"></i>
         My Contacts List 
    </h1>

    <div id="contact-list-container">
        <ul>
            <% for (let i of contact_List) { %> 
                <li class="contact">
                    <div class="details">
                        <p> <%= i.Name %> </p>
                        <p> <%= i.Phone %> </p>
                    </div>

                    <div class="delete-button">
                        <a href="/delete-contact/?Phone=<%=i.Phone %>">
                            <i class="fas fa-window-close"></i>
                        </a>
                    </div>
                </li>

            <% } %>
        </ul>
    </div>

    <!-- Creating The Form -->

    <div>
        <form id="new-contact-form" action="create-contact" method="POST">
            <input id="Name" type="text" name="Name" placeholder="Enter Name" required>
            <input id="Phone" type="text" name="Phone" placeholder="Enter Phone" required>

            <button type="submit"> Add Contact </button>

        </form>
    </div>

</div>
    

</body>
</html>